# VarOut_T.h File Reference

`#include "ace/OS_Memory.h"`
`#include "tao/VarOut_T.inl"`

Include dependency graph for VarOut_T.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | TAO_Var_Base_T< T >
| Parametrized implementation of _var base class for structs, unions and exceptions. More...
class | TAO_Fixed_Var_T< T >
| Parametrized implementation of _var class for structs, unions, and exceptions with members of fixed size. More...
class | TAO_Var_Var_T< T >
| Parametrized implementation of _var class for structs, unions, and exceptions with members of variable size. More...
class | TAO_Out_T< T, T_var >
| Parametrized implementation of _out class for structs, unions and exceptions.. More...

## Detailed Description

Id
  VarOut_T.h,v 1.8 2005/11/02 11:03:27 ossama Exp

Author:
  Jeff Parsons